Subject: bug#59662: 29.0.50; [PATCH] Add treesit--indent-defun

From: Theodor Thornhill <[email-masked]>
Date: Thu, 01 Dec 2022 09:13:58 +0100

Eli Zaretskii <[email-masked]> writes:

>> Date: Thu, 01 Dec 2022 08:22:45 +0100
>> From: Theodor Thornhill <[email-masked]>
>> CC: [email-masked], [email-masked]
>> 
>> >SGTM, but I'd begin by doing this only in c-ts-mode.el (and maybe also in
>> >csharp-ts-mode).  After all, until now this functionality and the "C-c C-q"
>> >binding was only in CC Mode.  (My original question about this was due to
>> >lack of enthusiasm to add the "C Indent" node of the Emacs manual text that
>> >explains this feature is only available in CC Mode, not in the tree-sitter
>> >based C/C++ modes.)
>> 
>> So you'd like the change in lisp.el, but bound only in the modes you
>> mention, or have something similar to the original patch in treesit,
>> but still bound only to the same modes?
>
> Why in lisp.el? we are talking about a feature of C-like languages.  The
> current binding of "C-c C-q" is in cc-cmds.el, so what I had in mind is to
> have its counterpart in c-ts-mode.el.

Only because Yuan mentioned it.  I will make that change.

Theo